Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class SourceDataHandlerSerializer

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.JAFDataHandlerSerializer
            |
            +--org.apache.axis.encoding.ser.SourceDataHandlerSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class SourceDataHandlerSerializer
extends JAFDataHandlerSerializer

SourceDataHandler Serializer

Author:
  Russell Butek (butek@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SourceDataHandlerSerializer()`

Method Summary
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a Source DataHandler quantity.

Methods inherited from class org.apache.axis.encoding.ser.JAFDataHandlerSerializer
`getMechanismType, writeSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SourceDataHandlerSerializer

    public SourceDataHandlerSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a Source DataHandler quantity.

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `JAFDataHandlerSerializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.